<?xml version="1.0" encoding="ISO-8859-1"?>
<template type="ProjTempl" version="1.0" id="TizenCoreSimpleSharedLibraryProject" label="Tizen Shared Library Project">
         
    <process type="org.tizen.nativecommon.TizenCreateSourceFolder">
        <simple name="projectName" value="$(projectName)"/>
        <complex-array name="pathList">
            <element>
                <simple name="path" value="src"/>
            </element>
            <element>
                <simple name="path" value="inc"/>
            </element>
            <element>
                <simple name="path" value="res"/>
            </element>
            <element>
                <simple name="path" value="shared"/>
            </element>
        </complex-array>
    </process>
    
    <process type="org.eclipse.cdt.core.CreateFolder">
        <simple name="projectName" value="$(projectName)"/>
        <simple name="path" value="lib"/>
    </process>
    
    <process type="org.tizen.nativecommon.SetSBITarget">
        <simple name="projectName" value="$(projectName)"/>
    </process>
    
    <process type="org.tizen.nativecore.SetDefaultCoreIncludePaths">
        <simple name="projectName" value="$(projectName)"/>
        <complex-array name="includePathList">
            <element>
                <simple name="path" value="${workspace_loc:/${ProjName}/inc}"/>
            </element>
        </complex-array>
    </process>

    <process type="org.tizen.nativecore.SetDefaultCoreLibraryPaths">
        <simple name="projectName" value="$(projectName)"/>
        <complex-array name="libraryPathList">
            <element>
                <simple name="path" value="${workspace_loc:/${ProjName}/lib}"/>
            </element>
        </complex-array>
    </process>

    <process type="org.tizen.nativecore.TizenCoreTemplateProcess">
        <simple name="projectName" value="$(projectName)"/>
        <simple name="projType" value="org.tizen.nativecore.buildArtefactType.sharedLib"/>
    </process>
    
</template>
